Latest 0.6.1
Homepage https://github.com/spark/spark-sdk-ios
License Apache 2.0
Platforms ios 8.0, requires ARC
Authors

Particle

Deprecated

Particle iOS Cloud SDK

Deprecation notice

This repository and the underlying Cocoapod & Carthage iOS libraries has been deprecated in favor of a renamed library (particle-sdk-ios) which can be found here.
You can also follow the Cocoapod link.
Or use Carthage by following instructions found here


Latest podspec

{
    "name": "Spark-SDK",
    "version": "0.6.1",
    "summary": "Particle iOS Cloud SDK for interacting with Particle powered devices (Core/Photon/Electron)",
    "description": "Particle (formerly Spark) iOS Cloud SDK Cocoapod librarynThe Particle iOS Cloud SDK enables iOS apps to interact with Particle-powered connected products via the Particle Cloud.nLibrary will enable your app to easily manage active user sessions to the Particle cloud, query for device's type, info, read and write data to and from the Core, Photon and Electron devices (via exposed firmware variables and functions) as well as publish/subscribe device and cloud events.nDEPRECATED.",
    "homepage": "https://github.com/spark/spark-sdk-ios",
    "screenshots": "http://i59.tinypic.com/mrthqc.jpg",
    "license": "Apache 2.0",
    "authors": {
        "Particle": "[email protected]"
    },
    "source": {
        "git": "https://github.com/spark/Spark-SDK-ios.git",
        "tag": "0.6.1"
    },
    "social_media_url": "https://twitter.com/particle",
    "platforms": {
        "ios": "8.0"
    },
    "requires_arc": true,
    "deprecated_in_favor_of": "Particle-SDK",
    "deprecated": true,
    "public_header_files": "Pod/Classes/*.h",
    "source_files": "Pod/Classes/*.h",
    "subspecs": [
        {
            "name": "Helpers",
            "source_files": "Pod/Classes/Helpers/*.{h,m}",
            "ios": {
                "frameworks": [
                    "SystemConfiguration",
                    "Security"
                ]
            }
        },
        {
            "name": "SDK",
            "source_files": "Pod/Classes/SDK/Spark*.{h,m}",
            "dependencies": {
                "AFNetworking": [
                    "~> 3.0"
                ],
                "Spark-SDK/Helpers": []
            }
        }
    ]
}

Pin It on Pinterest

Share This